跳转到主要内容
告警与响应相关接口/告警通道与集成
GETAlerting起始版本 1.0同步需要认证

查询告警集成列表

列表告警集成管理平台。

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

查询参数

请求参数

查询参数

  • pageInteger

    页码。默认值为 `1`。

    示例: 0

  • sizeInteger

    返回记录数。

    示例: 0

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • itemsList

    条目列表。

    示例: (nested array)

    • uuidString

      资源的UUID,唯一标识该资源。

      示例: integ-001

    • platformUuidString

      平台UUID。

      示例: plat-001-abc

    • targetStateString

      目标状态。

      示例: enabled

    • currentStateString

      当前状态。

      示例: enabled

    • webhookUrlString

      Webhook地址。

      示例: https://zcf.example.com/api/v1/alerting/receive

    • webhookIdString

      Webhook唯一标识。

      示例: wh-plat-001

    • lastReconcileAtString

      最近一次协调时间。

      示例: 2026-01-15T08:00:00Z

    • driftCountInteger

      漂移数量。

      示例: 20

    • lastErrorString

      消息协调。

      示例: timeout after 30s

    • createDateString

      创建时间。

      示例: 2026-01-15T08:00:00Z

    • lastOpDateString

      最近一次操作时间。

      示例: 2026-01-15T08:00:00Z

    • platformNameString

      平台名称。

      示例: Production ZStack

    • productTypeString

      产品类型。

      示例: zstack

  • totalInteger

    返回结果总数。

    示例: 3

  • limitInteger

    最大返回条目数。

    示例: 20

  • offsetInteger

    查询起始偏移量。

    示例: 20

请求地址

GET/api/v1/alerting/integrations

/api/v1/alerting/integrations

操作 ID

ListAlertIntegrations

永久链接

请求示例

curl -X GET '{host}/api/v1/alerting/integrations' -H 'Authorization: Bearer {token}'

响应示例

200
{
  "items": [
    {}
  ],
  "total": 3,
  "limit": 20,
  "offset": 20
}

变更历史

此 API 暂无变更历史记录。

查看全部变更历史